Categories:
  - Internet
  - System
License: GPL-3.0-only
AuthorName: lollipopkit
AuthorEmail: lollipopkit@qq.com
AuthorWebSite: https://blog.lolli.tech/
SourceCode: https://github.com/lollipopkit/flutter_server_box
IssueTracker: https://github.com/lollipopkit/flutter_server_box/issues

AutoName: ServerBox

RepoType: git
Repo: https://github.com/lollipopkit/flutter_server_box.git

Builds:
  - versionName: 1.0.992
    versionCode: 9921
    commit: 6b9b8f0dbbd1d2411e4325411bd1cd12e1f3f154
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/apk/release/app-x86_64-release-unsigned.apk
    binary: https://github.com/lollipopkit/flutter_server_box/releases/download/v%v/ServerBox_v%v_amd64.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - windows
    prebuild:
      - export repo=/home/runner/work/flutter_server_box
      - mkdir -p $repo
      - cd ..
      - mv tech.lolli.toolbox $repo/flutter_server_box
      - pushd $repo/flutter_server_box
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml|head
        -n1)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - popd
      - mv $repo/flutter_server_box tech.lolli.toolbox
    scandelete:
      - .pub-cache
    build:
      - export repo=/home/runner/work/flutter_server_box
      - cd ..
      - mv tech.lolli.toolbox $repo/flutter_server_box
      - pushd $repo/flutter_server_box
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin/:$PATH
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
      - popd
      - mv $repo/flutter_server_box tech.lolli.toolbox

  - versionName: 1.0.992
    versionCode: 9922
    commit: 6b9b8f0dbbd1d2411e4325411bd1cd12e1f3f154
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/apk/release/app-armeabi-v7a-release-unsigned.apk
    binary: https://github.com/lollipopkit/flutter_server_box/releases/download/v%v/ServerBox_v%v_arm.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - windows
    prebuild:
      - export repo=/home/runner/work/flutter_server_box
      - mkdir -p $repo
      - cd ..
      - mv tech.lolli.toolbox $repo/flutter_server_box
      - pushd $repo/flutter_server_box
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml|head
        -n1)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - popd
      - mv $repo/flutter_server_box tech.lolli.toolbox
    scandelete:
      - .pub-cache
    build:
      - export repo=/home/runner/work/flutter_server_box
      - cd ..
      - mv tech.lolli.toolbox $repo/flutter_server_box
      - pushd $repo/flutter_server_box
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin/:$PATH
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
      - popd
      - mv $repo/flutter_server_box tech.lolli.toolbox

  - versionName: 1.0.992
    versionCode: 9923
    commit: 6b9b8f0dbbd1d2411e4325411bd1cd12e1f3f154
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/apk/release/app-arm64-v8a-release-unsigned.apk
    binary: https://github.com/lollipopkit/flutter_server_box/releases/download/v%v/ServerBox_v%v_arm64.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - windows
    prebuild:
      - export repo=/home/runner/work/flutter_server_box
      - mkdir -p $repo
      - cd ..
      - mv tech.lolli.toolbox $repo/flutter_server_box
      - pushd $repo/flutter_server_box
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml|head
        -n1)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - popd
      - mv $repo/flutter_server_box tech.lolli.toolbox
    scandelete:
      - .pub-cache
    build:
      - export repo=/home/runner/work/flutter_server_box
      - cd ..
      - mv tech.lolli.toolbox $repo/flutter_server_box
      - pushd $repo/flutter_server_box
      - export PUB_CACHE=$(pwd)/.pub-cache
      - export PATH=$$flutter$$/bin/:$PATH
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
      - popd
      - mv $repo/flutter_server_box tech.lolli.toolbox

AllowedAPKSigningKeys: 5e8b245185aaa53736f932106a2364a9948ac3c2c2d972abd10fb0a868f42d5d

AutoUpdateMode: Version
UpdateCheckMode: Tags
VercodeOperation:
  - 10 * %c + 1
  - 10 * %c + 2
  - 10 * %c + 3
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.992
CurrentVersionCode: 9923
